package com.sifang.modules.sunshine.fittingManager.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "crm_site_fitting_apply")
public class CrmSiteFittingApply implements Serializable {
    private static final long serialVersionUID = 6736673207613162258L;

    private String id;
    private String number;
    private String siteId;
    private String employeName;
    private String employeId;
    private String employeFeedback;
    private String auditor;
    private String auditorId;
    private String orderId;
    private String orderNumber;
    private String status;
    private String fittingId;
    private String fittingCode;
    private String fittingVersion;
    private String fittingName;
    private String fittingImg;
    private BigDecimal fittingApplyNum;
    private BigDecimal fittingAuditNum;
    private String oldFittingFlag;
    private Date createTime;
    private Date auditTime;
    private String creator;
    private Date updateTime;
    private String updateName;
    private String refuseReason;
    private String auditMarks;
    private String returnFitting;
    private BigDecimal customerPrice;

    public CrmSiteFittingApply() {
        super();
        this.status = "0";
        this.oldFittingFlag = "0";
        this.createTime = new Date();
        this.returnFitting ="1";
    }

    public BigDecimal getCustomerPrice() {
        return customerPrice;
    }

    public void setCustomerPrice(BigDecimal customerPrice) {
        this.customerPrice = customerPrice;
    }

    public String getReturnFitting() {
        return returnFitting;
    }

    public void setReturnFitting(String returnFitting) {
        this.returnFitting = returnFitting;
    }

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getSiteId() {
        return siteId;
    }

    public void setSiteId(String siteId) {
        this.siteId = siteId;
    }

    public String getEmployeName() {
        return employeName;
    }

    public void setEmployeName(String employeName) {
        this.employeName = employeName;
    }

    public String getEmployeId() {
        return employeId;
    }

    public void setEmployeId(String employeId) {
        this.employeId = employeId;
    }

    public String getEmployeFeedback() {
        return employeFeedback;
    }

    public void setEmployeFeedback(String employeFeedback) {
        this.employeFeedback = employeFeedback;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public String getAuditorId() {
        return auditorId;
    }

    public void setAuditorId(String auditorId) {
        this.auditorId = auditorId;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getFittingId() {
        return fittingId;
    }

    public void setFittingId(String fittingId) {
        this.fittingId = fittingId;
    }

    public String getFittingCode() {
        return fittingCode;
    }

    public void setFittingCode(String fittingCode) {
        this.fittingCode = fittingCode;
    }

    public String getFittingVersion() {
        return fittingVersion;
    }

    public void setFittingVersion(String fittingVersion) {
        this.fittingVersion = fittingVersion;
    }

    public String getFittingName() {
        return fittingName;
    }

    public void setFittingName(String fittingName) {
        this.fittingName = fittingName;
    }

    public String getFittingImg() {
        return fittingImg;
    }

    public void setFittingImg(String fittingImg) {
        this.fittingImg = fittingImg;
    }

    public BigDecimal getFittingApplyNum() {
        return fittingApplyNum;
    }

    public void setFittingApplyNum(BigDecimal fittingApplyNum) {
        this.fittingApplyNum = fittingApplyNum;
    }

    public BigDecimal getFittingAuditNum() {
        return fittingAuditNum;
    }

    public void setFittingAuditNum(BigDecimal fittingAuditNum) {
        this.fittingAuditNum = fittingAuditNum;
    }

    public String getOldFittingFlag() {
        return oldFittingFlag;
    }

    public void setOldFittingFlag(String oldFittingFlag) {
        this.oldFittingFlag = oldFittingFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateName() {
        return updateName;
    }

    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    public String getRefuseReason() {
        return refuseReason;
    }

    public void setRefuseReason(String refuseReason) {
        this.refuseReason = refuseReason;
    }

    public String getAuditMarks() {
        return auditMarks;
    }

    public void setAuditMarks(String auditMarks) {
        this.auditMarks = auditMarks;
    }
}
